> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Loan

> POST /loans

`POST /loans`

Base URL: `https://los.universal.rollout.com/api`

## Parameters

No parameters.

## Responses

| Status | Description |
| ------ | ----------- |
| `201`  | Created     |
| `400`  | Bad Request |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/los.json POST /loans`


## OpenAPI

````yaml /openapi/los.json POST /loans
openapi: 3.0.3
info:
  title: Universal LOS API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://los.universal.rollout.com/api
security: []
paths:
  /loans:
    post:
      tags:
        - Loans
      summary: Create Loan
      operationId: post_loans
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: number
                type:
                  type: string
                term:
                  type: number
                loanNumber:
                  type: string
                statusDate:
                  type: string
                applicationDate:
                  type: string
                closingDate:
                  type: string
                fundingDate:
                  type: string
                interestRate:
                  type: number
                loanToValue:
                  type: number
                purpose:
                  type: string
                stage:
                  type: string
                status:
                  type: string
                monthlyPayment:
                  type: number
                escrowIncluded:
                  type: boolean
                pmiRequired:
                  type: boolean
                pmiRate:
                  type: number
                borrowers:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      bio:
                        type: object
                        properties: {}
                      taxId:
                        type: string
                      type:
                        type: string
                      role:
                        type: string
                      emails:
                        type: array
                        items:
                          type: object
                          properties:
                            value:
                              type: string
                            type:
                              type: string
                            status:
                              type: string
                            isPrimary:
                              anyOf:
                                - type: boolean
                              nullable: true
                          required:
                            - value
                            - type
                            - status
                            - isPrimary
                      phones:
                        type: array
                        items:
                          type: object
                          properties:
                            value:
                              type: string
                            type:
                              type: string
                            status:
                              type: string
                            isPrimary:
                              anyOf:
                                - type: boolean
                              nullable: true
                          required:
                            - value
                            - type
                            - status
                            - isPrimary
                      addresses:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                            street:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            code:
                              type: string
                            country:
                              type: string
                          required:
                            - type
                            - street
                            - city
                            - state
                            - code
                            - country
                    required:
                      - name
                      - taxId
                      - role
                      - emails
                      - phones
                      - addresses
                participatingUserIds:
                  type: array
                  items:
                    type: string
              required:
                - amount
                - type
                - term
                - loanNumber
                - interestRate
                - borrowers
          multipart/form-data:
            schema:
              type: object
              properties:
                amount:
                  type: number
                type:
                  type: string
                term:
                  type: number
                loanNumber:
                  type: string
                statusDate:
                  type: string
                applicationDate:
                  type: string
                closingDate:
                  type: string
                fundingDate:
                  type: string
                interestRate:
                  type: number
                loanToValue:
                  type: number
                purpose:
                  type: string
                stage:
                  type: string
                status:
                  type: string
                monthlyPayment:
                  type: number
                escrowIncluded:
                  type: boolean
                pmiRequired:
                  type: boolean
                pmiRate:
                  type: number
                borrowers:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      bio:
                        type: object
                        properties: {}
                      taxId:
                        type: string
                      type:
                        type: string
                      role:
                        type: string
                      emails:
                        type: array
                        items:
                          type: object
                          properties:
                            value:
                              type: string
                            type:
                              type: string
                            status:
                              type: string
                            isPrimary:
                              anyOf:
                                - type: boolean
                              nullable: true
                          required:
                            - value
                            - type
                            - status
                            - isPrimary
                      phones:
                        type: array
                        items:
                          type: object
                          properties:
                            value:
                              type: string
                            type:
                              type: string
                            status:
                              type: string
                            isPrimary:
                              anyOf:
                                - type: boolean
                              nullable: true
                          required:
                            - value
                            - type
                            - status
                            - isPrimary
                      addresses:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                            street:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            code:
                              type: string
                            country:
                              type: string
                          required:
                            - type
                            - street
                            - city
                            - state
                            - code
                            - country
                    required:
                      - name
                      - taxId
                      - role
                      - emails
                      - phones
                      - addresses
                participatingUserIds:
                  type: array
                  items:
                    type: string
              required:
                - amount
                - type
                - term
                - loanNumber
                - interestRate
                - borrowers
          text/plain:
            schema:
              type: object
              properties:
                amount:
                  type: number
                type:
                  type: string
                term:
                  type: number
                loanNumber:
                  type: string
                statusDate:
                  type: string
                applicationDate:
                  type: string
                closingDate:
                  type: string
                fundingDate:
                  type: string
                interestRate:
                  type: number
                loanToValue:
                  type: number
                purpose:
                  type: string
                stage:
                  type: string
                status:
                  type: string
                monthlyPayment:
                  type: number
                escrowIncluded:
                  type: boolean
                pmiRequired:
                  type: boolean
                pmiRate:
                  type: number
                borrowers:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      bio:
                        type: object
                        properties: {}
                      taxId:
                        type: string
                      type:
                        type: string
                      role:
                        type: string
                      emails:
                        type: array
                        items:
                          type: object
                          properties:
                            value:
                              type: string
                            type:
                              type: string
                            status:
                              type: string
                            isPrimary:
                              anyOf:
                                - type: boolean
                              nullable: true
                          required:
                            - value
                            - type
                            - status
                            - isPrimary
                      phones:
                        type: array
                        items:
                          type: object
                          properties:
                            value:
                              type: string
                            type:
                              type: string
                            status:
                              type: string
                            isPrimary:
                              anyOf:
                                - type: boolean
                              nullable: true
                          required:
                            - value
                            - type
                            - status
                            - isPrimary
                      addresses:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                            street:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            code:
                              type: string
                            country:
                              type: string
                          required:
                            - type
                            - street
                            - city
                            - state
                            - code
                            - country
                    required:
                      - name
                      - taxId
                      - role
                      - emails
                      - phones
                      - addresses
                participatingUserIds:
                  type: array
                  items:
                    type: string
              required:
                - amount
                - type
                - term
                - loanNumber
                - interestRate
                - borrowers
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  interestRate:
                    type: number
                  amount:
                    type: number
                  term:
                    anyOf:
                      - type: number
                    nullable: true
                  loanToValue:
                    anyOf:
                      - type: number
                    nullable: true
                  type:
                    type: string
                  purpose:
                    type: string
                  status:
                    type: string
                  statusDate:
                    anyOf:
                      - type: string
                    nullable: true
                  applicationDate:
                    anyOf:
                      - type: string
                    nullable: true
                  closingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  fundingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  rateAndTerms:
                    type: object
                    properties:
                      monthlyPayment:
                        anyOf:
                          - type: number
                      escrowIncluded:
                        anyOf:
                          - type: boolean
                      pmiRequired:
                        anyOf:
                          - type: boolean
                      pmiRate:
                        anyOf:
                          - type: number
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  userParticipantIds:
                    type: array
                    items:
                      type: string
                  borrowerParticipantIds:
                    type: array
                    items:
                      type: string
                  stage:
                    type: string
                  stageHistory:
                    anyOf:
                      - type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            status:
                              type: string
                            scheduledStartDate:
                              anyOf:
                                - anyOf:
                                    - type: string
                                      format: date-time
                                    - format: date
                                      type: string
                                    - type: string
                                      format: date-time
                                    - type: number
                              nullable: true
                            actualStartDate:
                              anyOf:
                                - anyOf:
                                    - type: string
                                      format: date-time
                                    - format: date
                                      type: string
                                    - type: string
                                      format: date-time
                                    - type: number
                              nullable: true
                            completedDate:
                              anyOf:
                                - anyOf:
                                    - type: string
                                      format: date-time
                                    - format: date
                                      type: string
                                    - type: string
                                      format: date-time
                                    - type: number
                              nullable: true
                            plannedDurationDays:
                              anyOf:
                                - type: number
                              nullable: true
                            actualDurationDays:
                              anyOf:
                                - type: number
                              nullable: true
                            assignee:
                              anyOf:
                                - type: object
                                  properties:
                                    id:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                    name:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                    email:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                    phone:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                    role:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                  required:
                                    - id
                                    - name
                                    - email
                                    - phone
                                    - role
                              nullable: true
                            requiresReview:
                              anyOf:
                                - type: boolean
                              nullable: true
                            isReviewed:
                              anyOf:
                                - type: boolean
                              nullable: true
                            order:
                              anyOf:
                                - type: number
                              nullable: true
                            isRequired:
                              anyOf:
                                - type: boolean
                              nullable: true
                            notes:
                              type: string
                            metadata:
                              anyOf:
                                - {}
                              nullable: true
                          required:
                            - id
                            - name
                            - status
                    nullable: true
                  loanFolder:
                    anyOf:
                      - type: string
                    nullable: true
                  archived:
                    anyOf:
                      - type: boolean
                    nullable: true
                  rolloutUpdated:
                    type: string
                required:
                  - id
                  - interestRate
                  - amount
                  - term
                  - loanToValue
                  - type
                  - purpose
                  - status
                  - statusDate
                  - applicationDate
                  - closingDate
                  - fundingDate
                  - rateAndTerms
                  - originalIds
                  - original
                  - created
                  - updated
                  - userParticipantIds
                  - borrowerParticipantIds
                  - stage
                  - stageHistory
                  - loanFolder
                  - archived
                  - rolloutUpdated
            multipart/form-data:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  interestRate:
                    type: number
                  amount:
                    type: number
                  term:
                    anyOf:
                      - type: number
                    nullable: true
                  loanToValue:
                    anyOf:
                      - type: number
                    nullable: true
                  type:
                    type: string
                  purpose:
                    type: string
                  status:
                    type: string
                  statusDate:
                    anyOf:
                      - type: string
                    nullable: true
                  applicationDate:
                    anyOf:
                      - type: string
                    nullable: true
                  closingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  fundingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  rateAndTerms:
                    type: object
                    properties:
                      monthlyPayment:
                        anyOf:
                          - type: number
                      escrowIncluded:
                        anyOf:
                          - type: boolean
                      pmiRequired:
                        anyOf:
                          - type: boolean
                      pmiRate:
                        anyOf:
                          - type: number
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  userParticipantIds:
                    type: array
                    items:
                      type: string
                  borrowerParticipantIds:
                    type: array
                    items:
                      type: string
                  stage:
                    type: string
                  stageHistory:
                    anyOf:
                      - type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            status:
                              type: string
                            scheduledStartDate:
                              anyOf:
                                - anyOf:
                                    - type: string
                                      format: date-time
                                    - format: date
                                      type: string
                                    - type: string
                                      format: date-time
                                    - type: number
                              nullable: true
                            actualStartDate:
                              anyOf:
                                - anyOf:
                                    - type: string
                                      format: date-time
                                    - format: date
                                      type: string
                                    - type: string
                                      format: date-time
                                    - type: number
                              nullable: true
                            completedDate:
                              anyOf:
                                - anyOf:
                                    - type: string
                                      format: date-time
                                    - format: date
                                      type: string
                                    - type: string
                                      format: date-time
                                    - type: number
                              nullable: true
                            plannedDurationDays:
                              anyOf:
                                - type: number
                              nullable: true
                            actualDurationDays:
                              anyOf:
                                - type: number
                              nullable: true
                            assignee:
                              anyOf:
                                - type: object
                                  properties:
                                    id:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                    name:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                    email:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                    phone:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                    role:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                  required:
                                    - id
                                    - name
                                    - email
                                    - phone
                                    - role
                              nullable: true
                            requiresReview:
                              anyOf:
                                - type: boolean
                              nullable: true
                            isReviewed:
                              anyOf:
                                - type: boolean
                              nullable: true
                            order:
                              anyOf:
                                - type: number
                              nullable: true
                            isRequired:
                              anyOf:
                                - type: boolean
                              nullable: true
                            notes:
                              type: string
                            metadata:
                              anyOf:
                                - {}
                              nullable: true
                          required:
                            - id
                            - name
                            - status
                    nullable: true
                  loanFolder:
                    anyOf:
                      - type: string
                    nullable: true
                  archived:
                    anyOf:
                      - type: boolean
                    nullable: true
                  rolloutUpdated:
                    type: string
                required:
                  - id
                  - interestRate
                  - amount
                  - term
                  - loanToValue
                  - type
                  - purpose
                  - status
                  - statusDate
                  - applicationDate
                  - closingDate
                  - fundingDate
                  - rateAndTerms
                  - originalIds
                  - original
                  - created
                  - updated
                  - userParticipantIds
                  - borrowerParticipantIds
                  - stage
                  - stageHistory
                  - loanFolder
                  - archived
                  - rolloutUpdated
            text/plain:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  interestRate:
                    type: number
                  amount:
                    type: number
                  term:
                    anyOf:
                      - type: number
                    nullable: true
                  loanToValue:
                    anyOf:
                      - type: number
                    nullable: true
                  type:
                    type: string
                  purpose:
                    type: string
                  status:
                    type: string
                  statusDate:
                    anyOf:
                      - type: string
                    nullable: true
                  applicationDate:
                    anyOf:
                      - type: string
                    nullable: true
                  closingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  fundingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  rateAndTerms:
                    type: object
                    properties:
                      monthlyPayment:
                        anyOf:
                          - type: number
                      escrowIncluded:
                        anyOf:
                          - type: boolean
                      pmiRequired:
                        anyOf:
                          - type: boolean
                      pmiRate:
                        anyOf:
                          - type: number
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  userParticipantIds:
                    type: array
                    items:
                      type: string
                  borrowerParticipantIds:
                    type: array
                    items:
                      type: string
                  stage:
                    type: string
                  stageHistory:
                    anyOf:
                      - type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            status:
                              type: string
                            scheduledStartDate:
                              anyOf:
                                - anyOf:
                                    - type: string
                                      format: date-time
                                    - format: date
                                      type: string
                                    - type: string
                                      format: date-time
                                    - type: number
                              nullable: true
                            actualStartDate:
                              anyOf:
                                - anyOf:
                                    - type: string
                                      format: date-time
                                    - format: date
                                      type: string
                                    - type: string
                                      format: date-time
                                    - type: number
                              nullable: true
                            completedDate:
                              anyOf:
                                - anyOf:
                                    - type: string
                                      format: date-time
                                    - format: date
                                      type: string
                                    - type: string
                                      format: date-time
                                    - type: number
                              nullable: true
                            plannedDurationDays:
                              anyOf:
                                - type: number
                              nullable: true
                            actualDurationDays:
                              anyOf:
                                - type: number
                              nullable: true
                            assignee:
                              anyOf:
                                - type: object
                                  properties:
                                    id:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                    name:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                    email:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                    phone:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                    role:
                                      anyOf:
                                        - type: string
                                      nullable: true
                                  required:
                                    - id
                                    - name
                                    - email
                                    - phone
                                    - role
                              nullable: true
                            requiresReview:
                              anyOf:
                                - type: boolean
                              nullable: true
                            isReviewed:
                              anyOf:
                                - type: boolean
                              nullable: true
                            order:
                              anyOf:
                                - type: number
                              nullable: true
                            isRequired:
                              anyOf:
                                - type: boolean
                              nullable: true
                            notes:
                              type: string
                            metadata:
                              anyOf:
                                - {}
                              nullable: true
                          required:
                            - id
                            - name
                            - status
                    nullable: true
                  loanFolder:
                    anyOf:
                      - type: string
                    nullable: true
                  archived:
                    anyOf:
                      - type: boolean
                    nullable: true
                  rolloutUpdated:
                    type: string
                required:
                  - id
                  - interestRate
                  - amount
                  - term
                  - loanToValue
                  - type
                  - purpose
                  - status
                  - statusDate
                  - applicationDate
                  - closingDate
                  - fundingDate
                  - rateAndTerms
                  - originalIds
                  - original
                  - created
                  - updated
                  - userParticipantIds
                  - borrowerParticipantIds
                  - stage
                  - stageHistory
                  - loanFolder
                  - archived
                  - rolloutUpdated
          description: Created
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components: {}

````